Subject: [mobile-ip] question on the location of MN functions

From: Kenichiro Iida <[email-masked]>
Date: Thu, 07 Mar 2002 22:06:45 +0900

Hi.

I read Mobile IPv6 I-D.
I have a question about Mobile IPv6.

In Mobile IPv6 Protocol, MN has the functions of forming CoA and sending BU.
I think, If AR(Access Router) can have these functions, there will be the 
following advantages.

(1) AR can form MN's new CoA and perform DAD before Handover.
(2) The delay to register with HA and CN is reduced, because the delay 
between AR and MN is eliminated.
      In case that the link between AR and MN is wireless, e.g. WCDMA, its 
transmission delay will be about several ten msec( 40-50msec ).
      If AR sends BU, this transmission delay is eliminated.

Are there any problems on this idea?
Could you give me any comments?

Best regards,

K.Iida